## winexe 1.00

=== debian/changelog ===
winexe (1.00-1) eole-2.4-unstable; urgency=low

  * UNRELEASED

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 13 Nov 2014 11:32:23 +0100
