=== debian/control ===
Source: winexe
Section: net
Priority: extra
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
XSBC-Original-Maintainer: Thomas Hood <jdthood@gmail.com>
Build-Depends: debhelper (>= 8), autoconf (>= 2.53), python (>= 2.3), python-dev
Homepage: http://sourceforge.net/projects/winexe/
Vcs-Git: https://dev-eole.ac-dijon.fr/git/winexe.git
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/winexe/repository
XSBC-Original-Vcs-Git: git://winexe.git.sourceforge.net/gitroot/winexe/winexe
XSBC-Original-Vcs-Browser: http://winexe.git.sourceforge.net/git/gitweb-index.cgi
Standards-Version: 3.9.4.0

Package: winexe
Architecture: any
Depends: ${misc:Depends}
Description: Remote Windows command executor
 This package contains the winexe program which allows
 the user to execute arbitrary cmd.exe commands on a remote
 Windows machine.
