=== debian/control ===
Source: winexe
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 debhelper-compat (= 12),
 gcc-mingw-w64,
 libpopt-dev,
 libtalloc-dev,
 libtevent-dev,
 pkg-config,
 samba-common-bin,
 samba-dev,
 libpam0g-dev,
# Needed to configure samba
 bison,
 flex,
 gnutls-dev,
 libacl1-dev,
 libldap-dev,
 liblmdb-dev,
 libjansson-dev,
 libgpgme-dev,
 libparse-yapp-perl,
 libdbus-1-dev,
 libarchive-dev,
 libjson-perl,
 libkeyutils-dev,
 python3-dev,
 python3-dnspython,
 python3-markdown,
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/winexe

Package: winexe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Remote Windows-command executor
 Winexe remotely executes commands on Windows NT/2000/XP/2003 systems from
 GNU/Linux (and possibly also from other Unices capable of building the Samba 4
 software package).
