=== debian/tests/control ===
Test-Command: winexe -h
Restrictions: allow-stderr, superficial
