=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/winexe/rss?limit=10000000000000000000 \
https?://.*/winexe-(\d.*)\.tar\.gz
